﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace WpfApp2
{
    public class AddPersonCommand : ICommand
    {
        private MainWindowViewModel viewModel;
        public AddPersonCommand(MainWindowViewModel vm)
        {
            viewModel = vm;
        }

        public event EventHandler? CanExecuteChanged;

        public bool CanExecute(object? parameter)
        {
            return true;
        }

        public void Execute(object? parameter)
        {
            viewModel.Persons.Add(viewModel.FilledPerson);
            viewModel.FilledPerson = new Person(-1, "", false);
        }
    }
}
